<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:p="http://primefaces.org/ui">

    <h:form id="datosBasicos">
        <p:panel header="Datos Básicos">
            <h:panelGrid columns="3">
                <h:outputLabel value="#{bundle.CreateUsuariosLabel_usrEmail}" for="usrMail" />
                <p:inputText id="usrMail" type="email" value="#{usuariosController.selected.usrEmail}" validator="#{validadorRegistro.asignarCorreo}" title="#{bundle.CreateUsuariosTitle_usrEmail}" required="true">
                    <f:validateLength minimum="3" maximum="45"/>    
                    <p:ajax update="msgMail" event="keyup"/>
                </p:inputText>
                <p:message for="usrMail" id="msgMail" display="tooltip" />
                <h:outputLabel value="#{bundle.CreateUsuariosLabel_usrNombre}" for="usrNombre" />
                <p:inputText id="usrNombre" value="#{usuariosController.selected.usrNombre}" title="#{bundle.CreateUsuariosTitle_usrNombre}" required="true" requiredMessage="#{bundle.CreateUsuariosRequiredMessage_usrNombres}">
                    <f:validateLength minimum="3" maximum="45"/>  
                    <p:ajax update="msgNombre" event="keyup" />
                </p:inputText>
                <p:message for="usrNombre" id="msgNombre" display="tooltip" />
                <h:outputLabel value="#{bundle.CreateUsuariosLabel_usrApellido}" for="usrApellido" />
                <p:inputText id="usrApellido" value="#{usuariosController.selected.usrApellido}" title="#{bundle.CreateUsuariosTitle_usrApellido}" required="true" requiredMessage="#{bundle.CreateUsuariosRequiredMessage_usrApellidos}">
                    <f:validateLength minimum="3" maximum="45"/>
                    <p:ajax update="msgApellido" event="keyup" />
                </p:inputText>
                <p:message for="usrApellido" id="msgApellido" display="tooltip" />
            </h:panelGrid>
        </p:panel>
        <p:panel header="Datos adicionales" >
            <p:panelGrid columns="2">
                <p:outputLabel for="usrGenero" value="#{bundle.CreateUsuariosLabel_usrSexo}"/>
                <p:selectOneMenu id="usrGenero" value="#{usuariosController.selected.usrSexo}">
                    <f:selectItem itemLabel="Hombre" itemValue="true" />
                    <f:selectItem itemLabel="Mujer" itemValue="false" />
                </p:selectOneMenu>
                <h:outputLabel value="#{bundle.CreateUsuariosLabel_usrDepartamentoId }" for="departamentosdepartamentoid" />
                <h:selectOneMenu id="departamentosdepartamentoid" value="#{usuariosController.selected.usrDepartamentoId }" title="#{bundle.CreateUsuariosTitle_usrDepartamentoId}" validator="#{ciudadController.asignarDepartamento}"  >                        
                    <f:selectItems  value="#{departamentosController.departamentos}" var="departamento"  itemLabel="#{departamento.departamentoNombre}" />                       
                    <p:ajax  listener="#{ciudadController.asignarCiudades}"   update="ciudades" />  
                </h:selectOneMenu>
                <h:outputLabel for="ciudades" value="#{bundle.CreateUsuariosLabel_usrCiudadId}" />
                <h:selectOneMenu id="ciudades" value="#{usuariosController.selected.usrCiudadId}" title="#{bundle.CreateUsuariosTitle_usrCiudadId}"  >                         
                   <f:selectItems value="#{ciudadController.ciudades}" var="ciudad"  itemLabel="#{ciudad.ciudadNombre}" />
                </h:selectOneMenu>
                
            </p:panelGrid>
                           
        </p:panel>
        <br />
        <h:commandButton action="#{usuariosController.update}"  value="Actualizar" />
    </h:form>
</ui:composition>
